function f=ss_ck_c(lx0,param)
% In this file are described the first order conditions in order to
% solve the steady state and to get the transition matrix of the
% log-linear approximation of the neoclassical growth model in
% continuous time

theta=param(1);
alpha=param(2);
n=param(3);
delta=param(4);
sigma=param(5);

lk=lx0(1);
lc=lx0(2);

f(1)=exp((alpha-1)*lk)-(delta+n)-exp(lc-lk);
f(2)=(1/sigma)*(alpha*exp((alpha-1)*lk)-(theta+n+delta));
f=f';