function f=ss_ck_d1(x0,param)
% Solves for steady state, holding public revenue constant
% The income tax rate is taken as given, while the consumption
% tax rate is treated as an endogenous variable, so as to keep
% revenues constant.

% [Copyright: J. Ruiz]


A=param(1);            	%   Technology level
beta=param(2);      		%   Discount factor
sigma=param(3);      	%   Relative risk aversion
n=param(4);            	%   population rate
delta=param(5);        	%   depreciation rate
alpha=param(6);     		%   capital share
tauy=param(7);         	%   income tax rate
revss0=param(8);      	%   public revenues


k1=x0(1);
k=x0(2);
c1=x0(3);
c=x0(4);
tauc=x0(5);

f(1)=(1-tauy)*A*(k^alpha)+(1-delta)*k-(1+tauc)*c-(1+n)*k1;
f(2)=-c1+c*((beta/(1+n))*((1-tauy)*A*alpha*(k1^(alpha-1))...
    +(1-delta)))^(1/sigma);
f(3)=k1-k;
f(4)=c1-c;
f(5)=(1/c1)*(revss0-tauy*A*(k1^alpha))-tauc;
f=f';